Jump to content
Joe L.

unMENU 1.6 - now available (A major upgrade in appearance)

745 posts in this topic Last Reply

Recommended Posts

Basically..  MyMain is the only thing I'm looking for.  I really like the fact that I can change the view..  like with the inventory I can set and view all my purchase dates and info and set usage notes..  I also use the network view sometimes.

 

I agree the V6 GUI is a much improved interface..  but nothing still beats "MyMain"

 

Oh..  I also like the color coded syslog too of unmenu!! :-)

 

 

Share this post


Link to post

Basically..  MyMain is the only thing I'm looking for.  I really like the fact that I can change the view..  like with the inventory I can set and view all my purchase dates and info and set usage notes..  I also use the network view sometimes.

 

I agree the V6 GUI is a much improved interface..  but nothing still beats "MyMain"

 

Oh..  I also like the color coded syslog too of unmenu!! :-)

 

 

Have you looked at the Server Layout Plugin. Not quite the same but I think it's better in some ways. More customization.

Share this post


Link to post

Where is UnMenu going to live after the google code shutdown thing?  Is there an updated place to get it?

Is there an update guide going from V5 to V6 of UnRaid?

 

In version 6 there is really no need for UnMenu (at least that I can see). The options available in the standard GUI, and with the Dynamix addins far exceed with UnMenu is able to provide (and is way more visually appealing). Also, with move to Dockers instead of plugins it's eliminated that benefit that UnMenu used to provide there as well.

 

I was a die-hard UnMenu fan in version 5, and even the early version 6 betas, however as the version 6 capabilities grew I tried moving away and never looked back. I think this is true for many users.

 

For those on version 5 there is still no better option than UnMenu. For those moving to version 6, I would suggest working with the options natively available, and see if there is anything you miss from UnMenu. Chances are there won't be, but if there is, then I would suggest submitting a request for the Dynamix team to add.

 

Overall I think you will be pleasantly surprised as what you can do with just UnRAID today - I know I certainly was.

Here are my wants for the GUI that myMain and unMenu provide that are not present in the GUI yet as far as I can tell.  http://lime-technology.com/forum/index.php?topic=41678.msg395658#msg395658

 

Once I get them (well most anyway) I would probably drop unMenu myself.

Share this post


Link to post

I did install the server layout plugin.  It has some of the features..  It's a step in the right direction.. but not all the way there yet.

 

Jim

Share this post


Link to post

... In version 6 there is really no need for UnMenu (at least that I can see). The options available in the standard GUI, and with the Dynamix addins far exceed with UnMenu is able to provide ...

 

I almost agree ... with one question and one exception ...

 

Question:  I know v6 has built-in UPS support (VERY nice to finally have this) ... but does it now shut down okay or do you still need to add a PowerDown package?

 

Exception:  The MyMain display still has very nicely collated information that I don't see in v6

 

Share this post


Link to post

Question:  I know v6 has built-in UPS support (VERY nice to finally have this) ... but does it now shut down okay or do you still need to add a PowerDown package?

 

I still use the powerdown package with v6. The main reason is one of my VM's (my Mac OS X VM) doesn't recognize the shutdown command that unRAID sends when you shutdown the array. This causes my system to do a unclean shutdown resulting in a parity check starting once the system gets turned back on. I ended up creating a S00.sh script to force shutdown that VM as a band-aid until I can figure out a better method or until OS X supports KVM commands (wishful thinking)

 

Also I like that fact that the powerdown plugin saves my logs to my flash drive.

Share this post


Link to post

Question:  I know v6 has built-in UPS support (VERY nice to finally have this) ... but does it now shut down okay or do you still need to add a PowerDown package?

 

I still use the powerdown package with v6. The main reason is one of my VM's (my Mac OS X VM) doesn't recognize the shutdown command that unRAID sends when you shutdown the array. This causes my system to do a unclean shutdown resulting in a parity check starting once the system gets turned back on. I ended up creating a S00.sh script to force shutdown that VM as a band-aid until I can figure out a better method or until OS X supports KVM commands (wishful thinking)

 

Also I like that fact that the powerdown plugin saves my logs to my flash drive.

 

I use the plugin as well for the saved logs feature. I am not sure if I need it for other reasons, but install out of habit as part of server builds.

Share this post


Link to post

Which version of the plugin do you guys install?  UnMenu has several choices; but I gather you're installing this independently.

 

Share this post


Link to post

The V6 version isn't installed from unmenu..  from my experience...

 

I got mine from here:

 

http://lime-technology.com/forum/index.php?topic=31735.0

 

For V6:

Paste this line into the 'Install Plugin' line in the 'Plugins' webgui and click on install.  This will install the plugin.  Don't install the plugin manually.  Let the plugin manager handle it.

 

Share this post


Link to post

Basically..  MyMain is the only thing I'm looking for.  I really like the fact that I can change the view..  like with the inventory I can set and view all my purchase dates and info and set usage notes..  I also use the network view sometimes.

 

I agree the V6 GUI is a much improved interface..  but nothing still beats "MyMain"

 

Oh..  I also like the color coded syslog too of unmenu!! :-)

 

Thanks for that!

Share this post


Link to post

I already asked in the General Support area for unRAID 6 (which might have been the wrong spot):

 

I have recently upgraded to 6.1.3, my old unMENU is still there although not noticing that the array is only. I haven't made any symbolic links yet as it seems that I don't need unMENU anymore (mainly used it for screen, monthly parity checks and mail notification). Can the current installation hurt my upgraded unRAID? How do I remove unMENU?

 

Thanks

Share this post


Link to post

I already asked in the General Support area for unRAID 6 (which might have been the wrong spot):

 

I have recently upgraded to 6.1.3, my old unMENU is still there although not noticing that the array is only. I haven't made any symbolic links yet as it seems that I don't need unMENU anymore (mainly used it for screen, monthly parity checks and mail notification). Can the current installation hurt my upgraded unRAID? How do I remove unMENU?

 

Thanks

I"m not the expert..  but my guess it the install won't hurt anything.  To not have it run, remove it from the go file.

 

Jim

Share this post


Link to post

Looks like unmenu is not install-able on unRAID v6.2b23 now.  I get the "Unable to download release list from http://unraid-unmenu.googlecode.com/svn/trunk/release_list" message that earlier versions of unRAID gave.  I am unable to see it in a browser either but I don't know if that is normal or not.

 

 

Want it for Disk IO stats in MyMain.  Will have to copy from another server that has unmenu installed I guess.

 

 

 

 

Edit:  Might be me.  The unmenu_install file I was using was not the same size as the one on the other server.  Will try that to see if it will install and update this post shortly if it works.

 

 

Edit2:  Nope still doesn't work even with that version of unmenu_install.  Will have to settle for the copy on the other server I guess.

 

 

Edit3:  Doesn't work after copying from other server so guess it doesn't matter if it won't install anyway.  Have to learn awk and try to fix it I guess.  Since I no time will have to just wait a few months until I do - oh well!  If this was stated somewhere already I must have missed it.

Share this post


Link to post

...

Edit3:  Doesn't work after copying from other server so guess it doesn't matter if it won't install anyway.  Have to learn awk and try to fix it I guess.  Since I no time will have to just wait a few months until I do - oh well!  If this was stated somewhere already I must have missed it.

Don't know if your sig is accurate but it says you don't have any servers on 6.1. There was a "patch" required to use unMenu due to security changes in 6.1. Look back a couple of pages in the thread.

Share this post


Link to post

...

Edit3:  Doesn't work after copying from other server so guess it doesn't matter if it won't install anyway.  Have to learn awk and try to fix it I guess.  Since I no time will have to just wait a few months until I do - oh well!  If this was stated somewhere already I must have missed it.

Don't know if your sig is accurate but it says you don't have any servers on 6.1. There was a "patch" required to use unMenu due to security changes in 6.1. Look back a couple of pages in the thread.

Sig is out of date - sorry.  On 6.2 on the server in question.  6.1 on the rest and I believe is working fine.  Will find patch and apply on 6.2 probably forgot to do that on 6.2.

 

 

Think you were talking about the mdcmd fix on the previous page.  Yes I have that installed but I think mine might be hardware related.  I get reports of "/sys/block/loo/stat" not found too and I think the script is somehow reporting the Loop0 - Loop7 that are present in /sys/block:


loop0@  loop6@  md3@  md9@    nbd13@  nbd5@  sdb@  sdh@  sdn@  sdt@
loop1@  loop7@  md4@  nbd0@   nbd14@  nbd6@  sdc@  sdi@  sdo@  sdu@
loop2@  md1@    md5@  nbd1@   nbd15@  nbd7@  sdd@  sdj@  sdp@  sdv@
loop3@  md10@   md6@  nbd10@  nbd2@   nbd8@  sde@  sdk@  sdq@
loop4@  md11@   md7@  nbd11@  nbd3@   nbd9@  sdf@  sdl@  sdr@
loop5@  md2@    md8@  nbd12@  nbd4@   sda@   sdg@  sdm@  sds@

Share this post


Link to post

Hey guys, I am having trouble install unmenu on 6.1.9.

 

Following from this thread https://lime-technology.com/forum/index.php?topic=27051.0

I downloaded the latest build from https://code.google.com/archive/p/unraid-unmenu/downloads'>https://code.google.com/archive/p/unraid-unmenu/downloads

and followed these instructions https://code.google.com/archive/p/unraid-unmenu/

 

I don't get very far at all, I created the folder /boot/unmenu/, I copied the installer to the folder and when i try and run

unmenu_install -i -d /boot/unmenu

I get the following error

Unable to download release list from http://unraid-unmenu.googlecode.com/svn/trunk/release_list

 

If I run

ping -c 5 google.com

or

ping -c 5 googlecode.com

I get the proper results, and I have manually set DNS to either be my router, or googles public DNS and I get the same result. I have also tried the previous few builds of unmenu from the download site.

 

 

Share this post


Link to post

unfortunately, google no longer operates code.google.com, therefore, the release list file cannot be accessed from them any longer.

 

A zip file of the entire unmenu source tree can be found at this link:

https://code.google.com/archive/p/unraid-unmenu/source/default/source

 

you can download the zip file, un-zip it, and have access to all the awk,shell files, and package definition config files within it.

 

Joe L.

Share this post


Link to post

unfortunately, google no longer operates code.google.com, therefore, the release list file cannot be accessed from them any longer.

 

A zip file of the entire unmenu source tree can be found at this link:

https://code.google.com/archive/p/unraid-unmenu/source/default/source

 

you can download the zip file, un-zip it, and have access to all the awk,shell files, and package definition config files within it.

 

Joe L.

 

 

I have been using UnMenu since 4.7 and am a big fan. I did a fresh install of 6.2 RC3  and downloaded the sorce as as above.  I unzipped the archive into the directory /boot/unmenu without changing the directory structure. The directory structure is now /boot/unmenu/unraid-unmenu with the following subdirectories:  .svn, branches, tags and trunk.  I started unmenu with the uu command in trunk subdirectory. I know the install command no longer works but i'm wondering what directory structure should I have  or leave well enough alone as it seems to function.  BTW, what command should I put in my go file, /boot/unmenu/unraid-unmenu/trunk/uu?  Thanks.

Share this post


Link to post

I've just started using Putty with SSH instead of Telnet, and have discovered an issue with UnMenu on the one remaining v5 server I have.

 

For Putty to work with SSH, you need to install openssh.  On the Package Manager in UnMenu, I selected both openssl-09.8n-i486.1.tgz  and  openssh-5.pl1-i486.1.tgz => downloaded them; installed them; and clicked on the "reinstall on boot" options.

 

Once that was done, Putty with SSH works just fine.

 

HOWEVER ... when the system is rebooted; the openssh-5.pl1 is NOT re-installed.  So Putty won't work until I go to UnMenu and re-select this package and install it.  It already "knows" it's supposed to reinstall on boot -- as the option at that point is to "Disable reinstall on boot" ... but it isn't re-installing it without this manual intervention.

 

UnMenu is up-to-date; and everything else works fine.    Is there some command I can add to the GO script (or some other mod) that will eliminate the need to manually re-enable SSH after reboots?

 

Share this post


Link to post

... a thought r.e. the issue I just noted => Looking at the "Packages" folder on the flash drive, the openssh-5.1.p1 is listed BEFORE the openssl-0.9.8n package, which I believe is required for the first one to install correctly.    I suspect that the installs are being tried in the order listed -- so the first one likely just fails (but works fine manually later, since the 2nd one is already installed).

 

IF that's what's happening, I assume I can just add another line to the GO file to install the openssh-5.1.p1 package after the line that currently reads:

 

cd /boot/packages && find . -name '*.auto_install' -type f -print | sort | xargs -n1 sh -c

 

Is that correct?  Would it hurt anything to just duplicate the line ... which I assume would skip over things that were already installed and effectively just install the one package that had failed the first time?    Or should I just explicitly list the one package that I know had failed ... e.g. add this: "cd /boot/packages openssh-5.1p1-i486-1.tgz.auto.install"

 

Share this post


Link to post

In the spirit of "can't hurt to just try it", I tried both of the following:

 

(1) Added "cd /boot/packages openssh-5.1p1-i486-1.tgz.auto.install"  => did not work.  I assume there's an argument it needs at the end of the line -- is that correct?

 

(2)  Simply duplicated the command that does the auto-installs ... i.e. "cd /boot/packages && find . -name '*.auto_install' -type f -print | sort | xargs -n1 sh -c"  ==>  Works fine.  This confirms what I suspected was happening ... the order in which the prerequisite package is installed AFTER the attempt to install openssh, so it works fine on the 2nd go-around.

 

 

 

 

Share this post


Link to post

Why not just do the easy fix and rename the file?

 

My initial thought was "How would that help?" ... but I assume you're suggesting renaming it so it's alphabetically AFTER the precursor, and would thus the install would work okay -- is that right?

 

Would that cause any issue with the package manager in UnMenu?

 

Share this post


Link to post

Doesn't Unraid have ssh without the need to install extra packages?  Or am I missing something.

 

Sent from my LG-H815 using Tapatalk

 

 

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.